Development versions
Posted By Gregory

Versión 6.3 Desarrollo


English version: Development version 6.3


Utilice este enlace para descargar la versión de desarrollo del complemento:

https://my.wpcerber.com/downloads/wp-cerber.zip

Esta versión ofrece una forma nueva, avanzada y más efectiva de cargar módulos de complementos y el motor de seguridad de complementos. De forma predeterminada, Cerber Security se carga en un modo antiguo y heredado. Pero a partir de la versión 6.3, la forma avanzada es un modo estándar de carga e inicialización del complemento. En este modo, el complemento se inicia inmediatamente después de que se inicializa el núcleo de WordPress pero antes de que se cargue cualquier otro complemento o tema. Eso permite a Cerber Security interceptar e inspeccionar solicitudes sospechosas con mayor eficacia y proteger WordPress contra ataques que intentan explotar una vulnerabilidad en un complemento o un tema, y el código vulnerable se ejecuta cuando WordPress carga el complemento o el tema.

Se recomienda habilitar la carga en modo estándar.

Para habilitar este nuevo modo, vaya a la página de administración del complemento de configuración principal y configure la configuración del motor de seguridad de carga en modo estándar . Una vez que hayas hecho esto, se copiará un módulo de inicio especial (aaa-wp-cerber.php) de la carpeta de complementos a WordPress que debe usar la carpeta de complementos. Si la copia no se realiza correctamente, verá un mensaje de advertencia y la configuración del modo se retrotraerá.

Mejoras

  • Una nueva configuración para deshabilitar las notificaciones por correo electrónico sobre nuevas versiones del complemento. Se encuentra en la página de administración de notificaciones en la sección Notificaciones de correo electrónico.
  • El rendimiento del subsistema de registro se ha mejorado: la consulta de base de datos se ha actualizado.

Actualizaciones

  • En el modo inteligente, si un usuario no ha iniciado sesión, se registran todas las solicitudes al panel de administración.
  • Las versiones de PHP anteriores a 5.4 ya no son compatibles. El código en sí sigue siendo compatible y se puede instalar en PHP 5.3.

Lea más sobre la versión anterior del complemento: https://wpcerber.com/wp-cerber-security-6-2/


I'm a team lead in Cerber Tech. I'm a software & database architect, WordPress - PHP - SQL - JavaScript developer. I started coding in 1993 on IBM System/370 (yeah, that was amazing days) and today software engineering at Cerber Tech is how I make my living. I've taught to have high standards for myself as well as using them in developing software solutions.

View Comments
There are currently no comments.